<?= $this->extend('templates/baseAdmin') ?>

<?= $this->section('content') ?>

<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap5.min.js"></script>


<div class="card">
    <div class="card-body">

        <table id="table-solicitudes" class="table table-bordered table-striped">
            <thead>
                <th>Encuesta</th>
                <th>Prestador</th>
                <th>Fecha</th>
                <th>Respuestas</th>
            </thead>
            <tbody>

                <?php foreach ($respuestas as $respuesta) : ?>
                    <tr>
                        <td><?= $respuesta['title'] ?></td>
                        <td><?= $respuesta['nombre'] . ' ' . $respuesta['apaterno'] . ' ' . $respuesta['amaterno'] ?></td>
                        <td><?= $respuesta['created_at'] ?></td>
                        <td>
                            <a href="<?= route_to('admin_respuesta', $respuesta['survey_id'], $respuesta['user_id']) ?>" class="btn btn-info">Ver respuestas</a>
                        </td>
                    </tr>
                <?php endforeach ?>


            </tbody>
        </table>

    </div>
</div>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        let table = new DataTable('#table-solicitudes', {
            'searching': true,
            'ordering': true,
            'language': {
                "decimal": "",
                "emptyTable": "No hay información",
                "info": "Mostrando _START_ a _END_ de _TOTAL_ registros",
                "infoEmpty": "Mostrando 0 to 0 of 0 registros",
                "infoFiltered": "(Filtrado de _MAX_ total registros)",
                "infoPostFix": "",
                "thousands": ",",
                "lengthMenu": "Mostrar _MENU_ registros",
                "loadingRecords": "Cargando...",
                "processing": "Procesando...",
                "search": "Buscar:",
                "zeroRecords": "No se encontraron resultados",
                "paginate": {
                    "first": "Primero",
                    "last": "Ultimo",
                    "next": "Siguiente",
                    "previous": "Anterior"
                }
            },
            'order': [],
        });
    });
</script>

<?= $this->endSection() ?>